Create a flow
curl --request POST \
--url https://api.nitrosend.com/v1/my/flows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"trigger": {
"event": "<string>",
"segment_id": 123,
"contact_list_id": 123,
"data": {}
},
"steps": [
{
"subject": "<string>",
"body": "<string>",
"preheader": "<string>",
"from_name": "<string>",
"from_email": "<string>",
"reply_to": "<string>",
"design": {
"sections": [
{
"props": {},
"styles": {
"background_color": "<string>",
"padding": "<string>"
}
}
],
"theme": {
"brand_color": "<string>",
"bg_color": "<string>",
"text_color": "<string>",
"font_body": "<string>",
"font_heading": "<string>",
"logo_url": "<string>"
}
},
"duration": 123,
"filters": [
{
"name": "<string>",
"predicate": "<string>",
"value": "<unknown>"
}
],
"yes": "<array>",
"no": "<array>",
"event_name": "<string>",
"forward_event_data": false,
"event_data": {},
"transactional": false
}
]
}
'{
"id": 123,
"account_id": 123,
"approval_state": "<string>",
"name": "<string>",
"goal": "<string>",
"trigger": {
"event": "<string>",
"segment_id": 123,
"contact_list_id": 123,
"data": {}
},
"steps": [
{
"subject": "<string>",
"body": "<string>",
"preheader": "<string>",
"duration": 123,
"filters": [
{}
],
"yes": "<array>",
"no": "<array>",
"event_name": "<string>",
"forward_event_data": true
}
],
"sent_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"templates": [
{
"id": 123,
"name": "<string>",
"flow_id": 123,
"action_id": 123,
"subject": "<string>",
"body": "<string>",
"preheader": "<string>",
"from_name": "<string>",
"from_email": "<string>",
"reply_to": "<string>",
"design": {
"sections": [
{
"props": {},
"styles": {
"background_color": "<string>",
"padding": "<string>"
}
}
],
"theme": {
"brand_color": "<string>",
"bg_color": "<string>",
"text_color": "<string>",
"font_body": "<string>",
"font_heading": "<string>",
"logo_url": "<string>"
}
},
"variables": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Flows
Create a flow
POST
/
v1
/
my
/
flows
Create a flow
curl --request POST \
--url https://api.nitrosend.com/v1/my/flows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"trigger": {
"event": "<string>",
"segment_id": 123,
"contact_list_id": 123,
"data": {}
},
"steps": [
{
"subject": "<string>",
"body": "<string>",
"preheader": "<string>",
"from_name": "<string>",
"from_email": "<string>",
"reply_to": "<string>",
"design": {
"sections": [
{
"props": {},
"styles": {
"background_color": "<string>",
"padding": "<string>"
}
}
],
"theme": {
"brand_color": "<string>",
"bg_color": "<string>",
"text_color": "<string>",
"font_body": "<string>",
"font_heading": "<string>",
"logo_url": "<string>"
}
},
"duration": 123,
"filters": [
{
"name": "<string>",
"predicate": "<string>",
"value": "<unknown>"
}
],
"yes": "<array>",
"no": "<array>",
"event_name": "<string>",
"forward_event_data": false,
"event_data": {},
"transactional": false
}
]
}
'{
"id": 123,
"account_id": 123,
"approval_state": "<string>",
"name": "<string>",
"goal": "<string>",
"trigger": {
"event": "<string>",
"segment_id": 123,
"contact_list_id": 123,
"data": {}
},
"steps": [
{
"subject": "<string>",
"body": "<string>",
"preheader": "<string>",
"duration": 123,
"filters": [
{}
],
"yes": "<array>",
"no": "<array>",
"event_name": "<string>",
"forward_event_data": true
}
],
"sent_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"templates": [
{
"id": 123,
"name": "<string>",
"flow_id": 123,
"action_id": 123,
"subject": "<string>",
"body": "<string>",
"preheader": "<string>",
"from_name": "<string>",
"from_email": "<string>",
"reply_to": "<string>",
"design": {
"sections": [
{
"props": {},
"styles": {
"background_color": "<string>",
"padding": "<string>"
}
}
],
"theme": {
"brand_color": "<string>",
"bg_color": "<string>",
"text_color": "<string>",
"font_body": "<string>",
"font_heading": "<string>",
"logo_url": "<string>"
}
},
"variables": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.nitrosend.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API key (nskey_live_...) or JWT token. API key is checked first;
if not found, falls back to Devise JWT authentication.
Body
application/json
Response
Flow created
Available options:
draft, active, paused, archived Trigger as returned by Flow::Format.dump
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I